<?
session_name('portal_absa');
session_start();
require_once "../../conexion/conectar.php";
require_once "../../libs/funciones.php";

$conexion = new CONDB();
$conexion->conectar();

if(!isset($_REQUEST['rfc'])){
	?><script>$j_6.messager.alert("Error","Faltan parametros","error");</script><?exit;
}

if(trim($_REQUEST["nombre"]) == "" || trim($_REQUEST["correo"]) == ""){
	?><script>$j_6.messager.alert("Error","Los campos no pueden ser vacios.","error");</script><?exit;
}

$qConsulta = "select * from correos_proveedores where rfc_receptor='".$_SESSION['RFC_RECEPTOR_PORTAL']."' and rfc='".$_REQUEST['rfc']."' and correo='".$_REQUEST['correo']."'";

if(!$result = mysqli_query($conexion->CONEXION,$qConsulta)){
	?><script>$j_6.messager.alert("Error","Ocurrio un error al consultar otro registro con el mismo correo.","error");</script><?exit;
}
if(mysqli_num_rows($result) > 0){
	?><script>$j_6.messager.alert("Error","Ya esta dado de alta otro registro con el mismo correo.","error");</script><?exit;
}
$qInsert="insert into correos_proveedores set rfc='".$_REQUEST['rfc']."',rfc_receptor='".$_SESSION['RFC_RECEPTOR_PORTAL']."',correo='".$_REQUEST['correo']."',nombre='".$_REQUEST["nombre"]."'";
if(!mysqli_query($conexion->CONEXION,$qInsert)){
	?><script>$j_6.messager.alert("Error","Ocurrio un error al dar de alta el correo.","error");</script><?exit;
}
if(mysqli_affected_rows($conexion->CONEXION) <= 0){
	?><script>$j_6.messager.alert("Aviso","Parece que no se agrego ningun registro.","warn");</script><?exit;
}else{
	?><script>$j_6.messager.alert("Informaci&oacute;n","Se ha logrado agregar el correo.","info");$j_6("#nombreContacto").val("");$j_6("#correoContacto").val("");recargaCorreosProveedor();</script><?exit;
}

?>